# tbb::internal::atomic_backoff Class Reference

Class that implements exponential backoff. More...

`#include <tbb_machine.h>`

List of all members.

## Public Member Functions

| atomic_backoff (bool)
void | pause ()
| Pause for a while.
bool | bounded_pause ()
void | reset ()

## Detailed Description

Class that implements exponential backoff.

See implementation of spin_wait_while_eq for an example.

The documentation for this class was generated from the following file:

- tbb_machine.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.